
#include <complex.h>

#define FILTER_MAX_ORDER 63

struct filter_lowpass {
  complex double xv[FILTER_MAX_ORDER+1];
  complex double yv[FILTER_MAX_ORDER+1];
  double xc[FILTER_MAX_ORDER+1];
  double yc[FILTER_MAX_ORDER+1];
  double alpha;
  int order;
};

complex double filter_lowpass (struct filter_lowpass *filter, int order, double alpha, complex double input);
