#include <stdlib.h>
#include "memory.h"

static char *STBI_MALLOC (int size) {
  char *pointer = NULL;
  memory_allocate(pointer, size);
  return pointer;
};

static char *STBI_REALLOC (char *pointer, int size) {
  memory_allocate(pointer, size);
  return pointer;
};

void STBI_FREE (char *pointer) {
  memory_allocate(pointer, 0);
};

#define STB_IMAGE_IMPLEMENTATION
#include "stb_image.h"
